URL
https://opencores.org/ocsvn/ssbcc/ssbcc/trunk
Subversion Repositories ssbcc
[/] [ssbcc/] [trunk/] [core/] [9x8/] [peripherals/] [tb/] [UART_CTS_RTR/] [run] - Rev 6
Compare with Previous | Blame | View Log
#!/bin/bash
#
# Copyright 2014, Sinclair R.F., Inc.
NAME=UART_CTS_RTR
../../../../../ssbcc -q -P monitor_stack tb_${NAME}.9x8 || { echo "${NAME} compile failed" > /dev/stderr; exit 1; }
iverilog -o tb tb.v tb_${NAME}.v || { echo "${NAME} build failed" > /dev/stderr; exit 1; }
./tb | sed -e 's/^.*\(.\)$/\1/' > tb.out;
if ! cmp -s tb.out tb.good; then
echo "${NAME} failed" > /dev/stderr;
exit 1;
fi
echo "Passed: ${NAME}";
exit 0;